activemq-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "will mason (JIRA)" <j...@apache.org>
Subject [jira] [Created] (APLO-368) Java embedded broker example does not build - dependency error
Date Wed, 15 Oct 2014 23:45:33 GMT
will mason created APLO-368:
-------------------------------

             Summary: Java embedded broker example does not build - dependency error
                 Key: APLO-368
                 URL: https://issues.apache.org/jira/browse/APLO-368
             Project: ActiveMQ Apollo
          Issue Type: Bug
          Components: apollo-web
    Affects Versions: 1.7
         Environment: Windows 7 sp1 64-bit; Java 64-bit jdk u11 & u20
            Reporter: will mason
            Priority: Blocker


The supplied example embedded broker that comes with the Apollo 1.7 distro does not build
out of the box with maven2.  Not does it choose to build with extra work seeking alternative
repositories on the google and maven repository.

The source of the problem is two JAR files that are only required by Apollow-web 1.7:

*  josql 1.5
*  gentlyweb-utils 1.5

No other module depends on these two, only Apollo-web according to the Maven dependency graph.

Since these module are difficult(??) to find in the usual repositories and in the several
alternatives like fusesource, I feel that the Apollo project has a responsibility to document
the procedure for sourcing or loading these dependencies for the Apollo-web component.

Also the example programs should be sufficiently configured or at least documented in a readme
file for the procedure to successfully compile, build and run them -- the 

* <artifactId>example-embedded-broker</artifactId>

example isn't ready to compile.  It is a great pity because I would have liked to set up some
tests using that feature in an embedded java application we are prototyping.

As a first workaround could the process to compile and build the *example-embedded-broker*
be documented in the FAQ page?  Even if (_perhaps?_) the other things about setting an appropriate
maven repository are outside the scope of the product .



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message